#include <iostream>
using namespace std;
int main() {
    int N, L;
    cin >> N >> L;
    int S[1000];
    for (int i = 0; i < N; ++i) {
        cin >> S[i];
    }
    for (int i = 0; i < N; ++i) {
        if (S[i] <= L) {
            cout << i + 1 << endl;  
            return 0;  
        }
    }
    cout << -1 << endl;
    return 0;
}